/*
 * Copyright (c) 2011 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.fw.batch.blogic.vo;

import java.io.Serializable;

import jp.terasoluna.fw.batch.dao.support.BatchUpdateSupport;
import jp.terasoluna.fw.batch.dao.support.BatchUpdateSupportImpl;

public class JobContext extends BLogicParam implements Serializable {

    /**
     * serialVersionUID.
     */
    private static final long serialVersionUID = 2544252352103871021L;

    /** rWlXWbN̓̓p[^ */
    protected BLogicParam blogicParam = null;

    /** ob`XVT|[g */
    protected BatchUpdateSupport batchUpdateSupport = null;

    /**
     * RXgN^.<br>
     */
    public JobContext() {
        this.blogicParam = new BLogicParam();
        this.batchUpdateSupport = new BatchUpdateSupportImpl();
    }

    /**
     * RXgN^.<br>
     * @param blogicParam BLogicParam
     */
    public JobContext(BLogicParam blogicParam) {
        this.blogicParam = blogicParam;
        this.batchUpdateSupport = new BatchUpdateSupportImpl();
    }

    /**
     * rWlXWbN̓̓p[^ݒ肷B
     * @param blogicParam BLogicParam
     */
    public void setBlogicParam(BLogicParam blogicParam) {
        this.blogicParam = blogicParam;
    }

    /**
     * tB[h [jobSequenceId]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * WuV[PXR[h
     * @param jobSequenceId tB[h[jobSequenceId]Ɋi[l
     */
    public void setJobSequenceId(final String jobSequenceId) {
        this.blogicParam.setJobSequenceId(jobSequenceId);
    }

    /**
     * tB[h[jobSequenceId]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * WuV[PXR[h
     * @return tB[h[jobSequenceId]Ɋi[Ăl
     */
    public String getJobSequenceId() {
        return this.blogicParam.getJobSequenceId();
    }

    /**
     * tB[h [jobAppCd]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * WuV[PXR[h
     * @param argJobAppCd tB[h[jobAppCd]Ɋi[l
     */
    public void setJobAppCd(String jobAppCd) {
        this.blogicParam.setJobAppCd(jobAppCd);
    }

    /**
     * tB[h[fJobAppCd]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * WuƖR[h
     * @return tB[h[fJobAppCd]Ɋi[Ăl
     */
    public String getJobAppCd() {
        return this.blogicParam.getJobAppCd();
    }

    /**
     * tB[h [jobArgNm1]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 1
     * @param argJobArgNm1 tB[h[jobArgNm1]Ɋi[l
     */
    public void setJobArgNm1(final String argJobArgNm1) {
        this.blogicParam.setJobArgNm1(argJobArgNm1);
    }

    /**
     * tB[h[jobArgNm1]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 1
     * @return tB[h[jobArgNm1]Ɋi[Ăl
     */
    public String getJobArgNm1() {
        return this.blogicParam.getJobArgNm1();
    }

    /**
     * tB[h [jobArgNm2]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 2
     * @param argJobArgNm2 tB[h[jobArgNm2]Ɋi[l
     */
    public void setJobArgNm2(final String argJobArgNm2) {
        this.blogicParam.setJobArgNm2(argJobArgNm2);
    }

    /**
     * tB[h[jobArgNm2]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 2
     * @return tB[h[jobArgNm2]Ɋi[Ăl
     */
    public String getJobArgNm2() {
        return this.blogicParam.getJobArgNm2();
    }

    /**
     * tB[h [jobArgNm3]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 3
     * @param argJobArgNm3 tB[h[jobArgNm3]Ɋi[l
     */
    public void setJobArgNm3(final String argJobArgNm3) {
        this.blogicParam.setJobArgNm3(argJobArgNm3);
    }

    /**
     * tB[h[jobArgNm3]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 3
     * @return tB[h[jobArgNm3]Ɋi[Ăl
     */
    public String getJobArgNm3() {
        return this.blogicParam.getJobArgNm3();
    }

    /**
     * tB[h [jobArgNm4]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 4
     * @param argJobArgNm4 tB[h[jobArgNm4]Ɋi[l
     */
    public void setJobArgNm4(final String argJobArgNm4) {
        this.blogicParam.setJobArgNm4(argJobArgNm4);
    }

    /**
     * tB[h[jobArgNm4]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 4
     * @return tB[h[jobArgNm4]Ɋi[Ăl
     */
    public String getJobArgNm4() {
        return this.blogicParam.getJobArgNm4();
    }

    /**
     * tB[h [jobArgNm5]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 5
     * @param argJobArgNm5 tB[h[jobArgNm5]Ɋi[l
     */
    public void setJobArgNm5(final String argJobArgNm5) {
        this.blogicParam.setJobArgNm5(argJobArgNm5);
    }

    /**
     * tB[h[jobArgNm5]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 5
     * @return tB[h[jobArgNm5]Ɋi[Ăl
     */
    public String getJobArgNm5() {
        return this.blogicParam.getJobArgNm5();
    }

    /**
     * tB[h [jobArgNm6]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 6
     * @param argJobArgNm6 tB[h[jobArgNm6]Ɋi[l
     */
    public void setJobArgNm6(final String argJobArgNm6) {
        this.blogicParam.setJobArgNm6(argJobArgNm6);
    }

    /**
     * tB[h[jobArgNm6]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 6
     * @return tB[h[jobArgNm6]Ɋi[Ăl
     */
    public String getJobArgNm6() {
        return this.blogicParam.getJobArgNm6();
    }

    /**
     * tB[h [jobArgNm7]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 7
     * @param argJobArgNm7 tB[h[jobArgNm7]Ɋi[l
     */
    public void setJobArgNm7(final String argJobArgNm7) {
        this.blogicParam.setJobArgNm7(argJobArgNm7);
    }

    /**
     * tB[h[jobArgNm7]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 7
     * @return tB[h[jobArgNm7]Ɋi[Ăl
     */
    public String getJobArgNm7() {
        return this.blogicParam.getJobArgNm7();
    }

    /**
     * tB[h [jobArgNm8]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 8
     * @param argJobArgNm8 tB[h[jobArgNm8]Ɋi[l
     */
    public void setJobArgNm8(final String argJobArgNm8) {
        this.blogicParam.setJobArgNm8(argJobArgNm8);
    }

    /**
     * tB[h[jobArgNm8]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 8
     * @return tB[h[jobArgNm8]Ɋi[Ăl
     */
    public String getJobArgNm8() {
        return this.blogicParam.getJobArgNm8();
    }

    /**
     * tB[h [jobArgNm9]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 9
     * @param argJobArgNm9 tB[h[jobArgNm9]Ɋi[l
     */
    public void setJobArgNm9(final String argJobArgNm9) {
        this.blogicParam.setJobArgNm9(argJobArgNm9);
    }

    /**
     * tB[h[jobArgNm9]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 9
     * @return tB[h[jobArgNm9]Ɋi[Ăl
     */
    public String getJobArgNm9() {
        return this.blogicParam.getJobArgNm9();
    }

    /**
     * tB[h [jobArgNm10]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 10
     * @param argJobArgNm10 tB[h[jobArgNm10]Ɋi[l
     */
    public void setJobArgNm10(final String argJobArgNm10) {
        this.blogicParam.setJobArgNm10(argJobArgNm10);
    }

    /**
     * tB[h[jobArgNm10]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 10
     * @return tB[h[jobArgNm10]Ɋi[Ăl
     */
    public String getJobArgNm10() {
        return this.blogicParam.getJobArgNm10();
    }

    /**
     * tB[h [jobArgNm11]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 11
     * @param argJobArgNm11 tB[h[jobArgNm11]Ɋi[l
     */
    public void setJobArgNm11(final String argJobArgNm11) {
        this.blogicParam.setJobArgNm11(argJobArgNm11);
    }

    /**
     * tB[h[jobArgNm11]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 11
     * @return tB[h[jobArgNm11]Ɋi[Ăl
     */
    public String getJobArgNm11() {
        return this.blogicParam.getJobArgNm11();
    }

    /**
     * tB[h [jobArgNm12]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 12
     * @param argJobArgNm12 tB[h[jobArgNm12]Ɋi[l
     */
    public void setJobArgNm12(final String argJobArgNm12) {
        this.blogicParam.setJobArgNm12(argJobArgNm12);
    }

    /**
     * tB[h[jobArgNm12]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 12
     * @return tB[h[jobArgNm12]Ɋi[Ăl
     */
    public String getJobArgNm12() {
        return this.blogicParam.getJobArgNm12();
    }

    /**
     * tB[h [jobArgNm13]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 13
     * @param argJobArgNm13 tB[h[jobArgNm13]Ɋi[l
     */
    public void setJobArgNm13(final String argJobArgNm13) {
        this.blogicParam.setJobArgNm13(argJobArgNm13);
    }

    /**
     * tB[h[jobArgNm13]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 13
     * @return tB[h[jobArgNm13]Ɋi[Ăl
     */
    public String getJobArgNm13() {
        return this.blogicParam.getJobArgNm13();
    }

    /**
     * tB[h [jobArgNm14]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 14
     * @param argJobArgNm14 tB[h[jobArgNm14]Ɋi[l
     */
    public void setJobArgNm14(final String argJobArgNm14) {
        this.blogicParam.setJobArgNm14(argJobArgNm14);
    }

    /**
     * tB[h[jobArgNm14]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 14
     * @return tB[h[jobArgNm14]Ɋi[Ăl
     */
    public String getJobArgNm14() {
        return this.blogicParam.getJobArgNm14();
    }

    /**
     * tB[h [jobArgNm15]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 15
     * @param argJobArgNm15 tB[h[jobArgNm15]Ɋi[l
     */
    public void setJobArgNm15(final String argJobArgNm15) {
        this.blogicParam.setJobArgNm15(argJobArgNm15);
    }

    /**
     * tB[h[jobArgNm15]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 15
     * @return tB[h[jobArgNm15]Ɋi[Ăl
     */
    public String getJobArgNm15() {
        return this.blogicParam.getJobArgNm15();
    }

    /**
     * tB[h [jobArgNm16]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 16
     * @param argJobArgNm16 tB[h[jobArgNm16]Ɋi[l
     */
    public void setJobArgNm16(final String argJobArgNm16) {
        this.blogicParam.setJobArgNm16(argJobArgNm16);
    }

    /**
     * tB[h[jobArgNm16]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 16
     * @return tB[h[jobArgNm16]Ɋi[Ăl
     */
    public String getJobArgNm16() {
        return this.blogicParam.getJobArgNm16();
    }

    /**
     * tB[h [jobArgNm17]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 17
     * @param argJobArgNm17 tB[h[jobArgNm17]Ɋi[l
     */
    public void setJobArgNm17(final String argJobArgNm17) {
        this.blogicParam.setJobArgNm17(argJobArgNm17);
    }

    /**
     * tB[h[jobArgNm17]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 17
     * @return tB[h[jobArgNm17]Ɋi[Ăl
     */
    public String getJobArgNm17() {
        return this.blogicParam.getJobArgNm17();
    }

    /**
     * tB[h [jobArgNm18]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 18
     * @param argJobArgNm18 tB[h[jobArgNm18]Ɋi[l
     */
    public void setJobArgNm18(final String argJobArgNm18) {
        this.blogicParam.setJobArgNm18(argJobArgNm18);
    }

    /**
     * tB[h[jobArgNm18]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 18
     * @return tB[h[jobArgNm18]Ɋi[Ăl
     */
    public String getJobArgNm18() {
        return this.blogicParam.getJobArgNm18();
    }

    /**
     * tB[h [jobArgNm19]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 19
     * @param argJobArgNm19 tB[h[jobArgNm19]Ɋi[l
     */
    public void setJobArgNm19(final String argJobArgNm19) {
        this.blogicParam.setJobArgNm19(argJobArgNm19);
    }

    /**
     * tB[h[jobArgNm19]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 19
     * @return tB[h[jobArgNm19]Ɋi[Ăl
     */
    public String getJobArgNm19() {
        return this.blogicParam.getJobArgNm19();
    }

    /**
     * tB[h [jobArgNm20]̃Zb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 20
     * @param argJobArgNm20 tB[h[jobArgNm20]Ɋi[l
     */
    public void setJobArgNm20(final String argJobArgNm20) {
        this.blogicParam.setJobArgNm20(argJobArgNm20);
    }

    /**
     * tB[h[jobArgNm20]̃Qb^[\bh. ڂ̌^ [java.lang.String]<br>
     * 20
     * @return tB[h[jobArgNm20]Ɋi[Ăl
     */
    public String getJobArgNm20() {
        return this.blogicParam.getJobArgNm20();
    }

    /**
     * ob`XVT|[g擾.<br>
     * @return BatchUpdateSupport
     */
    public BatchUpdateSupport getBatchUpdateSupport() {
        return batchUpdateSupport;
    }

    /**
     * ob`XVT|[gݒ肷.<br>
     * @param batchUpdateSupport BatchUpdateSupport
     */
    public void setBatchUpdateSupport(BatchUpdateSupport batchUpdateSupport) {
        this.batchUpdateSupport = batchUpdateSupport;
    }

}
